fr::crypto::ERR_remove_state(3SSL)

NOM
ERR_remove_state - Libérer une file d'erreur de thread

SYNOPSIS
 #include <openssl/err.h>

 void ERR_remove_state(unsigned long pid);

DESCRIPTION
ERR_remove_state() libère la file d'erreur associée au thread pid. Si pid == 0, la file du thread en cours sera supprimée.

Puisque les structures de données de file d'erreur sont allouées automatiquement pour les nouveaux threads, elles doivent être libérées quand les threads sont terminés afin d'éviter les fuites de mémoire.

VALEUR DE RETOUR
ERR_remove_state() ne renvoie pas de valeur.

VOIR AUSSI
err(3)

HISTORIQUE
ERR_remove_state() est disponible dans toutes les versions de SSLeay et OpenSSL.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.